_G.DWM = _G.DWM or {}
DWM._path = ModPath
DWM._data_path = SavePath .. "DWM_options.txt"
DWM.settings = {}
DWM.Hooks = {
    ["lib/tweak_data/charactertweakdata"] = "tweak_data/charactertweakdata.lua",
    ["lib/tweak_data/groupaitweakdata"] = "tweak_data/groupaitweakdata.lua",
	["lib/tweak_data/playertweakdata"] = "tweak_data/playertweakdata.lua",
	["lib/tweak_data/weapontweakdata"] = "tweak_data/weapontweakdata.lua",
	["lib/managers/menu/menunodegui"] = "managers/menu/menunodegui.lua",
	["lib/managers/mission/elementspawnenemygroup"] = "managers/mission/elementspawnenemygroup.lua",
}

function DWM:Save()
    local file = io.open( self._data_path, "w" )
    if file then
        file:write( json.encode( self.settings ) )
        file:close()
    end
end

function DWM:Load()
    local file = io.open( self._data_path, "r" )
    if file then
        self.settings = json.decode( file:read("*all") )
        file:close()
    end
end

DWM:Load()

Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_DWM", function( loc )
	for _, filename in pairs(file.GetFiles(DWM._path .. "loc/")) do
		local str = filename:match('^(.*).txt$')
		if str and Idstring(str) and Idstring(str):key() == SystemInfo:language():key() then
			loc:load_localization_file(DWM._path .. "loc/" .. filename)
			break
		end
	end

	loc:load_localization_file(DWM._path .. "loc/english.txt", false)
end)

Hooks:Add( "MenuManagerInitialize", "MenuManagerInitialize_DWM", function( menu_manager )
	
    MenuCallbackHandler.DWMToggle = function(self, item)
        DWM.settings[item._parameters.name] = (item:value() == "on" and true or false)
        DWM:Save()
    end

	DWM:Load()
	MenuHelper:LoadFromJsonFile( DWM._path .. "menu/options.txt", DWM, DWM.settings )
end )


function DWM:ResetToDefaultValues()
		self.settings.dwm_baby_toggle_value = false
		self.settings.dwm_enemy_toggle_value = true
        self.settings.dwm_infinite_toggle_value = false
		self.settings.dwm_piercing_toggle_value = false
		self.settings.dwm_frames_toggle_value = false
end

if DWM.settings.dwm_enemy_toggle_value == nil
or DWM.settings.dwm_baby_toggle_value == nil
or DWM.settings.dwm_infinite_toggle_value == nil
or DWM.settings.dwm_piercing_toggle_value == nil
or DWM.settings.dwm_frames_toggle_value == nil
then
	DWM:ResetToDefaultValues()
end

if Announcer and DWM.settings.dwm_enemy_toggle_value == true then
	Announcer:AddHostMod("lol death wish- this host has bad taste")
end

if RequiredScript then
	local requiredScript = RequiredScript:lower()
	if DWM.Hooks[requiredScript] then
 		dofile( DWM._path .. DWM.Hooks[requiredScript] )
	end	
end